Opened 17 years ago

Closed 17 years ago

Last modified 5 years ago

#1340 closed update (fixed)

apr update to 0.9.5

Reported by: danielluke (Daniel J. Luke) Owned by: jcorley1@…
Priority: Normal Milestone:
Component: ports Version: 1.0
Keywords: Cc: fkr@…
Port: apr

Description (last modified by ryandesign (Ryan Schmidt))

0.9.5 was taken from a copy of apache 2.0.48, if this is accepted, it would probably be a good idea to put the .tar.gz on distfiles.opendarwin.org and change the master_sites to point to it.

Version update, portfile diffs inline:

RCS file: /Volumes/src/cvs/od/proj/darwinports/dports/devel/apr/Portfile,v
retrieving revision 1.18
diff -u -d -b -w -r1.18 Portfile
--- Portfile    25 Oct 2003 21:24:31 -0000      1.18
+++ Portfile    29 Dec 2003 16:33:12 -0000
@@ -2,7 +2,7 @@
 
 PortSystem     1.0
 name           apr
-version                0.9.4
+version                0.9.5
 categories     devel
 maintainers    jcorley1@nc.rr.com
 description    the apache group's portability library
@@ -13,6 +13,6 @@
                        possible, including Unices, Win32, BeOS, and OS/2.  
 
 homepage       http://apr.apache.org/
-master_sites   http://www.apache.org/dist/apr/
-checksums      md5 0f1e6765532dd581a58d69b35adeecfe
+master_sites   http://geeklair.net/downloads/source/
+checksums      md5 dc282a1aa6b2ae7af5017c6e9c8ac766
 configure.args  --with-installbuilddir=${prefix}/share/apr-0/build

Attachments (2)

Portfile (1.6 KB) - added by danielluke (Daniel J. Luke) 17 years ago.
apr 0.9.5 portfile
Portfile.2 (1.1 KB) - added by danielluke (Daniel J. Luke) 17 years ago.
apr 0.9.5 portfile

Download all attachments as: .zip

Change History (10)

comment:1 Changed 17 years ago by danielluke (Daniel J. Luke)

blocked: 1342

comment:2 Changed 17 years ago by fkr@…

Cc: fkr@… added

comment:3 Changed 17 years ago by danielluke (Daniel J. Luke)

This is a ping, have you had a chance to look at this yet?

(along with 1342 -> apr-uttil, and 1244 -> neon lets us also fix 1087 -> subversion)

Let me know if there is anything else I can do to help. I have tested the portfiles I included on both 10.2 and 10.3 systems.

Changed 17 years ago by danielluke (Daniel J. Luke)

Attachment: Portfile added

apr 0.9.5 portfile

comment:4 Changed 17 years ago by jcorley1@…

Why are you hardcoding /usr/local/share/apr-0/build into the post-destroot phase? That seems like a large problem to me. Jason

Changed 17 years ago by danielluke (Daniel J. Luke)

Attachment: Portfile.2 added

apr 0.9.5 portfile

comment:5 Changed 17 years ago by danielluke (Daniel J. Luke)

attachments.isobsolete: 01

comment:6 Changed 17 years ago by matt@…

Resolution: fixed
Status: newclosed

Committed. Thanks Daniel!

comment:7 Changed 17 years ago by danielluke (Daniel J. Luke)

Sorry, that should read ${prefix} instead of /usr/local ...

Note that this is part of a fix for a problem in the old portfile ... ie. apr installs apr_rules.mk which has a hardcoded path to the place where apr was originally built. When you point apr-util to the apr config, it reads this value and tries to find files there.

diff follows:

Index: Portfile
===================================================================
RCS file: /Volumes/src/cvs/od/proj/darwinports/dports/devel/apr/Portfile,v
retrieving revision 1.20
diff -u -d -b -w -r1.20 Portfile
--- Portfile    19 Jan 2004 22:15:11 -0000      1.20
+++ Portfile    23 Jan 2004 00:09:39 -0000
@@ -25,8 +25,8 @@
 #change apr's rules.mk file to enable building of apr-util even
 #after a port clean apr
 post-destroot  {
-                                       reinplace "s|^apr_builddir=.*|apr_builddir=/usr/local/share/apr-0/build|g" \
+                                       reinplace "s|^apr_builddir=.*|apr_builddir=${prefix}/share/apr-0/build|g" \
                                                ${destroot}${prefix}/share/apr-0/build/apr_rules.mk
-                                       reinplace "s|^apr_builders=.*|apr_builddir=/usr/local/share/apr-0/build|g" \
+                                       reinplace "s|^apr_builders=.*|apr_builddir=${prefix}/share/apr-0/build|g" \
                         ${destroot}${prefix}/share/apr-0/build/apr_rules.mk
Last edited 5 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:8 Changed 5 years ago by ryandesign (Ryan Schmidt)

Description: modified (diff)
Port: apr added
Type: defectupdate
Note: See TracTickets for help on using tickets.